Skip to main content
GET
/
v1
/
reports
List reports
curl --request GET \
  --url https://api-sandbox.circle.com/v1/reports \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "managed_payout_transactions/8c3a2f5e-1d4b-4a9c-bf21-6e0d7c9a1b23/2025-01-15/report.csv",
      "reportType": "managed_payout_transactions",
      "timeframe": "daily",
      "reportDate": "2025-01-15",
      "downloadUrl": "https://s3.amazonaws.com/...",
      "expiresAt": "2025-01-15T15:00:00Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

reportType
enum<string>
required

Report type to list. The non-managed camt053 type is not supported here.

Available options:
managed_payout_transactions,
managed_payment_wallet_balances,
managed_payin_transactions,
camt053_managed
Example:

"managed_payout_transactions"

startDate
string<date>
required

Start of the date range to list (inclusive), formatted as YYYY-MM-DD. Must be in the past and on or before endDate.

Example:

"2025-01-01"

endDate
string<date>
required

End of the date range to list (inclusive), formatted as YYYY-MM-DD. Must be in the past or present and on or after startDate.

Example:

"2025-01-31"

timeframe
enum<string>

Filters results to a single aggregation window. When omitted, reports of all timeframes are returned.

Available options:
daily,
monthly
Example:

"daily"

pageBefore
string

A collection ID value used for pagination.

It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjuction with pageAfter.

pageAfter
string

A collection ID value used for pagination.

It marks the exclusive begin of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjuction with pageBefore.

pageSize
integer

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If avoided, the collection will determine the page size itself.

Required range: x >= 1
Example:

5

Response

Successfully retrieved a list of reports.

data
object[]